#
# spec file for package resmgr (Version 0.9.8_SVNr75)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libacl-devel libattr libattr-devel libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           resmgr
BuildRequires:  libacl-devel pam-devel
License:        GPL v2 or later
Group:          System/Daemons
Version:        0.9.8_SVNr75
Release:        18.9
Summary:        A program to allow arbitrary access to device files
Source:         resmgr-%{version}.tar.bz2
Source1:        resmgr.init
Source2:        resmgr-doc.desktop
Patch:          resmgr-r76.diff
Patch1:         resmgr-r78.diff
Patch2:         resmgr-r79.diff
Patch3:         resmgr-build.diff
Patch4:         0001-don-t-fetch-supplementary-groups-for-root-to-prevent.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       libresmgr.so.0.9.8
# if you know a better way for that provides feel free to fix it
%ifarch x86_64 ia64 s390x ppc64
Provides:       libresmgr.so.0.9.8()(64bit)  
%endif
Url:            http://forge.novell.com/modules/xfmod/project/?resmgr
PreReq:         %insserv_prereq %fillup_prereq

%description
The resource manager is a framework to give user applications access to
certain device files. The resource manager daemon can be configured to
give certain users access to different resource classes.

It supports hotplugging devices (i.e. new devices can be added to and
removed from resource classes at run time), and it provides transparent
access to the raw SCSI device corresponding to a CD writer or a
scanner.



Authors:
--------
    Olaf Kirch <okir@suse.de>

%debug_package
%prep
%setup
%patch -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p1

%build
CFLAGS="%{optflags}" \
./configure \
	--libdir=/%{_lib} \
	--sbindir=/sbin \
	--mandir=%{_mandir} \
	--includedir=%{_includedir} \
	--sysconfdir=/etc \
	--bindir=/bin \
	--with-pam
make %{?jobs:-j%jobs}
make check

%install
DESTDIR=$RPM_BUILD_ROOT; rm -rf $DESTDIR
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $DESTDIR/etc/init.d
mkdir -p $DESTDIR/etc/resmgr.conf.d
install -m 0755 %SOURCE1 $DESTDIR/etc/init.d/resmgr
mkdir -p $DESTDIR/usr/sbin/
ln -s ../../etc/init.d/resmgr $DESTDIR/usr/sbin/rcresmgr
install -d %{buildroot}/var/run/resmgr/classes
#
ln -s libresmgr.so.1 %{buildroot}/%{_lib}/libresmgr.so.0.9.8
#
cp doc/xml/README.txt README
#
install -d -m 755 %{buildroot}%{_datadir}/susehelp/meta/Manuals/Productivity
install -m 644 %{SOURCE2} \
        %{buildroot}%{_datadir}/susehelp/meta/Manuals/Productivity/resmgr.desktop
#
# XXX
install -d -m 755 %{buildroot}%{_libdir}
mv %{buildroot}/%{_lib}/pkgconfig %{buildroot}%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%stop_on_removal resmgr

%post
%run_ldconfig
%{fillup_and_insserv -y  resmgr}

%postun
%restart_on_update resmgr
%run_ldconfig
%{insserv_cleanup}

%files
%defattr(-,root,root)
%doc README COPYING
%doc doc/xml/*.html doc/xml/*.css
%doc %{_datadir}/susehelp
%dir /etc/resmgr.conf.d
%config /etc/resmgr.conf.d/*
%config /etc/resmgr.conf
%config /etc/init.d/resmgr
/%_lib/libresmgr*
/%_lib/security/pam_resmgr.so
/usr/sbin/rcresmgr
/sbin/resmgr
/sbin/resmgrd
%_mandir/man?/*.[0-9]*
/usr/include/resmgr.h
%{_libdir}/pkgconfig/*
%dir /var/run/resmgr
%dir /var/run/resmgr/classes

%changelog
* Wed Jan 30 2008 - lnussel@suse.de
- don't fetch supplementary groups for user root to prevent timeouts
  (bnc#357233)
* Fri Jun 16 2006 - lnussel@suse.de
- use killproc for stopping resmgrd as it waits for the daemon to
  actually terminate (#184861).
* Mon May 01 2006 - aj@suse.de
- linux/usbdevice_fs.h needs linux/compiler.h for __user.
* Mon Apr 24 2006 - lnussel@suse.de
- recursively grant access to subclasses so "resmgr grant" actually
  works as expected (#168619)
* Fri Feb 17 2006 - lnussel@suse.de
- accept both, /proc/bus/usb and /dev/bus/usb for backward
  compatability (#118794)
- fix resmgrd granting access to all usb devices (#151208)
* Mon Jan 30 2006 - lnussel@suse.de
- run hal-resmgr if hald was started before resmgrd (#145934)
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 25 2006 - lnussel@suse.de
- introduce class audioplayer and include class audioplayer in class
  desktop (#145451)
- separate patch to fix pam module now included
* Fri Jan 20 2006 - werner@suse.de
- Make rc script fully conforming with LSB
* Sat Jan 14 2006 - kukuk@suse.de
- Enable PAM module
* Fri Jan 13 2006 - lnussel@suse.de
- fix filedescriptor leak (#143058)
* Wed Jan 04 2006 - lnussel@suse.de
- prevent ACL error message spam if /dev doesn't support ACLs
  (#117231)
* Wed Dec 14 2005 - lnussel@suse.de
- fix fallback to chown if fs is lacking ACL support (#137208)
* Wed Sep 28 2005 - lnussel@suse.de
- fix implicit declation on big endian systems
* Tue Sep 27 2005 - lnussel@suse.de
- don't log error message when removing an ACL on a non-existing
  files (#117231)
- read usb class from interface definition if descriptor says zero
  (#112719)
* Wed Aug 24 2005 - lnussel@suse.de
- always fetch all device attributes from /proc/bus/usb to be able
  to match for class etc (#112719, bug1)
- append new devices again to get the exclude/add order right
* Tue Aug 23 2005 - lnussel@suse.de
- fix access flags on devices without explicit family (#106735)
* Wed Aug 17 2005 - lnussel@suse.de
- add pda class (#104426)
* Mon Aug 08 2005 - lnussel@suse.de
- when a signal arrived errno is EINTR, not EAGAIN (#102317)
* Sun Jul 31 2005 - lnussel@suse.de
- fix adding devices with family
- disable reloading config file upon SIGHUP
- really remove all acls from files upon remove
- close fds and chdir / when daemonizing
* Thu Jul 14 2005 - lnussel@suse.de
- change library soname to libresmgr.so.1 and use symbol version
  RESMGR_1.0 to allow for proper versioning in the future.
- new docu in docbook-xml
- add desktop file for susehelp
- add pkg-config file
* Thu Jun 30 2005 - lnussel@suse.de
- allow to dump runtime added devices, static devices, classes, sessions
  and grants individually
- make resmgr client read commands from stdin if none was specified on
  command line
- force logout on tty if root logs in a new user on that tty
- use symbol versioning for private functions of libresmgr
- add parameter to resmgrd for state dir
- fix testsuite
* Wed Jun 29 2005 - lnussel@suse.de
- add dump command
- check family in res_class_add
- don't add devices with invalid family
* Wed Jun 29 2005 - lnussel@suse.de
- new tarball from SVN which includes all previous patches
- add classes camera and modem
- clean up installation procedure
* Tue Jun 21 2005 - cthiel@suse.de
- patch up corrupted resmgr.conf.empty
* Thu Jun 16 2005 - lnussel@suse.de
- don't install ACLs for root. root can open the devices anyways.
- don't put ACLs on /dev/console
* Tue Jun 14 2005 - lnussel@suse.de
- add support for subclasses
- touch files in /var/run/resmgr/classes (#88295)
- add support for multiple config files in /etc/resmgr.conf.d
- remove noreplace attribute from /etc/resmgr.conf. An old one
  wouldn't fully work as it lacks subclasses.
* Tue Jun 07 2005 - lnussel@suse.de
- set ACLs for files by default
- install empty config file by default, hal-resmgr is needed to
  provide the list of devices
* Fri May 20 2005 - okir@suse.de
- Document resmgr status codes in resmgrd(8) (#80391)
* Mon Mar 14 2005 - adrian@suse.de
- run resmgr again in standard 2/3/5 runlevels, since HAL got
  moved back also
* Thu Mar 10 2005 - okir@suse.de
- Disable debugging messages in client.c
* Tue Mar 08 2005 - meissner@suse.de
- fixed uninitialized memory access in merge_lists #62070
- fixed a bad call to rsm_command().
* Tue Mar 08 2005 - adrian@suse.de
- resmgr got disabled because of init script rename. fixed now.
* Mon Feb 28 2005 - ro@suse.de
- added "boot.rootfsck" to deps for boot.resmgr
* Mon Feb 28 2005 - meissner@suse.de
- save the sessions on rcresmgr restart
- fixed overflow patch
* Mon Feb 28 2005 - adrian@suse.de
- start resmgr during runlevel B to be avaible for hal and hotplug
- remove $earlysysolgd from init script requires
* Mon Feb 28 2005 - okir@suse.de
- Fix some non-exploitable overflows (#65624)
- Export rsm_command() to applications.
* Tue Feb 15 2005 - meissner@suse.de
- YaST also suggests "dvdram" and "dvdrecorder" for burner names.
* Tue Feb 08 2005 - okir@suse.de
- re-enable the scsi flag for various DVD and CD writer devices (48641, 49389)
- added /dev/dsp[0-3] (50170)
* Wed Jan 26 2005 - coolo@suse.de
- do not start resmgr after network - it only needs syslog
  for pretty rare cases
* Fri Dec 03 2004 - ro@suse.de
- include linux/types.h before linux/usb.h
* Tue Oct 12 2004 - okir@suse.de
- Do not allow users to create resmgr sessions (#47001)
* Tue Aug 17 2004 - okir@suse.de
- Fix usb compilation
* Tue Aug 17 2004 - okir@suse.de
- Give desktop users access to all USB devices by default (#43175)
* Fri Apr 23 2004 - okir@suse.de
- Another uninitialized variable (#39269)
* Tue Apr 20 2004 - trenn@suse.de
- rsm_list_devices may return undefined sessions (adress out of bounds)
* Tue Mar 30 2004 - okir@suse.de
- Make /dev/pilot accessible to desktop users (#36926)
* Thu Mar 18 2004 - okir@suse.de
- Be more selective in what we log to syslog (#36393)
- Stop resmgr on uninstall; restart on update (#36308)
* Wed Mar 10 2004 - okir@suse.de
- Patch for security problem on 2.6 kernels (#34567, #34786)
- dev/usb/scanner* no longer exist in 2.6
* Fri Feb 27 2004 - okir@suse.de
- API update: implemented rsm_list_sessions
* Sat Feb 21 2004 - schwab@suse.de
- Fix typo in start script.
* Fri Feb 20 2004 - kukuk@suse.de
- Move PAM module to pam-modules package
- Run ldconfig
- Build as normal user
* Thu Feb 19 2004 - okir@suse.de
- Removed "scsi" flag from all cdrom devices, as all cd writing
  is now through the new 2.6 interface that doesn't require
  generic SCSI anymore (in fact it breaks cdrecord if you try :)
* Tue Feb 17 2004 - okir@suse.de
- Minor fix to desktop script: do not barf if we're not given a DEVICE name
* Thu Jan 29 2004 - okir@suse.de
- Folded all previous patches into CVS repository,
  created new snapshot.
- Fix paride name parsing
* Sat Jan 17 2004 - ro@suse.de
- added pam-devel to neededforbuild
* Mon Aug 04 2003 - okir@suse.de
- fixed bad use of vlog()
- fixed minor typo in resmgr.conf
* Mon Jun 30 2003 - ro@suse.de
- fix build with current includes
* Wed Mar 05 2003 - okir@suse.de
- properly handle sendmsg errors (partial fix for #24591)
* Mon Mar 03 2003 - okir@suse.de
- patch for ssh support (#24363)
* Sat Mar 01 2003 - meissner@suse.de
- resmgr.h: Wrap function declarations in extern "C" {} for C++ usage.
* Fri Feb 28 2003 - meissner@suse.de
- Fixed usb:x,y:/proc/bus/usb/x/y handling.
- Parse usb:00x,00y as decimal and not as octal.
- Added comment to resmgr.conf on how to give permissions to other
  users.
* Mon Feb 17 2003 - meissner@suse.de
- Added a generic desktopdev script USB hotplugging, which
  just adds a USB device on plugin/-out.
- Moved binaries to /sbin/ and library to /lib so we can start before
  hotplug without $remotefs.
- No longer require $remotefs.
* Mon Feb 17 2003 - meissner@suse.de
- Added the SANE /dev/scanner, /dev/usb*scanner* devices, and
  /dev/mixer.
* Thu Feb 06 2003 - okir@suse.de
- rcresmgr stop now exits with status 0 even if the daemon isn't
  running at all (23347).
* Wed Feb 05 2003 - okir@suse.de
- fixed bad syslog() level in pam_resmgr
* Thu Jan 30 2003 - meissner@suse.de
- daemon is default enabled.
* Tue Jan 28 2003 - meissner@suse.de
- start in runlevel 5.
* Mon Nov 11 2002 - okir@suse.de
- bugfix to get it working with cdrecord
* Fri Nov 08 2002 - okir@suse.de
- updated to new version, added resmgr.conf
* Tue Nov 05 2002 - okir@suse.de
- Initial packaging
